
// TestMFCDlg.h : 头文件
//

#pragma once
#include <string>
#include<fstream>
using namespace std;
// CTestMFCDlg 对话框
class CTestMFCDlg : public CDialogEx
{
// 构造
public:
	CTestMFCDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_TESTMFC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	CStatic m_filebmp;
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
public :
	CString GetMsgInf(int State);
	void ClearIDData();
	string ExtractFilePath(const string& szFile);
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButtonSimId();
	afx_msg void OnBnClickedButton5();
};
